Page MenuHomePhabricator

Define new protection level 'templateeditor' and the associated right and usergroup on Commons
Closed, ResolvedPublic

Description

Per consensus on Commons, define a new protection level called 'templateeditor'.

A new user group called 'templateeditor' should be created with the following rights:

  • Edit protected templates (templateeditor)
  • Enable two-factor authentication (oathauth-enable)
  • Override the title or username blacklist (tboverride)

The right 'templateeditor' should also be given to the user group 'sysop'.

Event Timeline

4nn1l2 created this task.Jul 8 2019, 12:43 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 8 2019, 12:43 AM
Majora added a subscriber: Majora.Jul 8 2019, 1:12 AM
DannyS712 claimed this task.Jul 8 2019, 1:29 AM
Restricted Application added a project: User-DannyS712. · View Herald TranscriptJul 8 2019, 1:29 AM

Change 521191 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[operations/mediawiki-config@master] Add 'templateeditor' user group and protection level on commons

https://gerrit.wikimedia.org/r/521191

Urbanecm added a subscriber: Urbanecm.

Please move back to To deploy - SWAT necessary when you solved my review of your patch.

Urbanecm triaged this task as Normal priority.Jul 8 2019, 4:15 PM

Change 521191 merged by jenkins-bot:
[operations/mediawiki-config@master] Add 'templateeditor' user group and protection level on commons

https://gerrit.wikimedia.org/r/521191

Mentioned in SAL (#wikimedia-operations) [2019-07-08T18:10:23Z] <urbanecm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[:gerrit:521191|Add templateeditor user group and protection level on commons]] (T227420) (duration: 00m 49s)

Urbanecm closed this task as Resolved.Jul 8 2019, 6:48 PM

Deployed.

Jeff_G added a subscriber: Jeff_G.Jul 9 2019, 4:31 PM

Deployed.

I can't edit c:Template:Anon-check-links yet due to "You do not have permission to edit this page, for the following reason: ... This page is currently protected, and can be edited only by administrators." It has been protected with "[edit=sysop] (indefinite)" since 2012. c:Special:ListGroupRights confirms that as the member of group "Template editors" I have the "templateeditor" right. ~~~~

Jeff_G reopened this task as Open.Jul 9 2019, 4:32 PM
DannyS712 closed this task as Resolved.Jul 9 2019, 4:48 PM

@Jeff_G that's because the template is still fully protected. You can only edit pages that are template protected. See the current list.

Jeff_G added a comment.Jul 9 2019, 7:20 PM

@Jeff_G that's because the template is still fully protected. You can only edit pages that are template protected. See the current list.

Thank you. Lesson learned.